package com.fjhx.flow.controller.flow;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.flow.entity.flow.dto.InitiateDto;
import com.fjhx.flow.entity.flow.dto.JumpDto;
import com.fjhx.flow.service.flow.FlowProcessService;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/flowProcess")
public class FlowProcessController {

    @Autowired
    private FlowProcessService flowProcessService;

    /**
     * 发起流程
     */
    @PostMapping("/initiate")
    public void initiate(@Validated @RequestBody InitiateDto dto) {
        flowProcessService.initiate(dto);
    }

    /**
     * 流程跳转
     */
    @PostMapping("/jump")
    public void jump(@Validated @RequestBody JumpDto dto) {
        flowProcessService.jump(dto);
    }

}
