package com.fjhx.flow.core;

import cn.hutool.extra.spring.SpringUtil;
import com.ruoyi.common.exception.ServiceException;

import java.util.HashMap;
import java.util.Map;

public class FlowBean {

    /**
     * 流程定义map
     */
    protected static final Map<String, String> map = new HashMap<>();

    /**
     * 添加流程bean
     *
     * @param flowKey  流程标识
     * @param beanName springBean名称
     */
    public static void addBean(String flowKey, String beanName) {
        map.put(flowKey, beanName);
    }

    /**
     * 获取流程bean
     *
     * @param flowKey 流程bean
     * @return springBean
     */
    public static FlowDelegate getBean(String flowKey) {
        String beanBane = map.get(flowKey);
        FlowDelegate bean = SpringUtil.getBean(beanBane);
        if (bean == null) {
            throw new ServiceException("没有把流程 " + flowKey + " 注册到spring中");
        }
        return bean;
    }

}
